# PHTTPBooleanField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPBooleanField:

List of all members.

## Public Member Functions

| PHTTPBooleanField (const char *name, PBoolean initVal=false, const char *help=NULL)
| PHTTPBooleanField (const char *name, const char *title, PBoolean initVal=false, const char *help=NULL)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual PString | GetHTMLInput (const PString &input) const
| Convert the field input to HTML for inclusion into the HTTP page.
virtual PString | GetValue (PBoolean dflt=false) const
| Get the string value of the field.
virtual void | SetValue (const PString &newVal)
| Set the value of the field.
virtual void | LoadFromConfig (PConfig &cfg)
| Get the value of the PConfig to the sub-field.
virtual void | SaveToConfig (PConfig &cfg) const
| Set the value of the sub-field into the PConfig.

## Protected Attributes

PBoolean | value
PBoolean | initialValue

## Constructor & Destructor Documentation

PHTTPBooleanField::PHTTPBooleanField | ( | const char * | name,
|  | PBoolean | initVal = `false`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPBooleanField::PHTTPBooleanField | ( | const char * | name,
|  | const char * | title,
|  | PBoolean | initVal = `false`,
|  | const char * | help = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual PString PHTTPBooleanField::GetHTMLInput | ( | const PString & | input | ) | const`[virtual]`

Convert the field input to HTML for inclusion into the HTTP page.

Reimplemented from PHTTPField.

virtual void PHTTPBooleanField::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Parameters:

  html | HTML to receive the field info.

Implements PHTTPField.

virtual PString PHTTPBooleanField::GetValue | ( | PBoolean | dflt = `false` | ) | const`[virtual]`

Get the string value of the field.

Returns:
  String for field value.

Implements PHTTPField.

virtual void PHTTPBooleanField::LoadFromConfig | ( | PConfig & | cfg | ) | `[virtual]`

Get the value of the PConfig to the sub-field.

If the field is not composite then it always sets the value as for the non-indexed version.

Parameters:

  cfg | Configuration for value transfer.

Reimplemented from PHTTPField.

virtual PHTTPField* PHTTPBooleanField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Implements PHTTPField.

virtual void PHTTPBooleanField::SaveToConfig | ( | PConfig & | cfg | ) | const`[virtual]`

Set the value of the sub-field into the PConfig.

If the field is not composite then it always sets the value as for the non-indexed version.

Parameters:

  cfg | Configuration for value transfer.

Reimplemented from PHTTPField.

virtual void PHTTPBooleanField::SetValue | ( | const PString & | newVal | ) | `[virtual]`

Set the value of the field.

Implements PHTTPField.

## Member Data Documentation

PBoolean PHTTPBooleanField::initialValue `[protected]`

PBoolean PHTTPBooleanField::value `[protected]`

The documentation for this class was generated from the following file:

- httpform.h